More name changing
[deliverable/binutils-gdb.git] / configure
1 #!/bin/sh
2
3 # Configuration script
4 # Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
5
6 #This file is part of GNU.
7
8 # This program is free software; you can redistribute it and/or modify
9 # it under the terms of the GNU General Public License as published by
10 # the Free Software Foundation; either version 2 of the License, or
11 # (at your option) any later version.
12 #
13 # This program is distributed in the hope that it will be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write to the Free Software
20 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
21
22 # $Id$
23
24 # Please email any bugs, comments, and/or additions to this file to:
25 # configure@cygnus.com
26
27 #
28 # Shell script to create proper links to machine-dependent files in
29 # preparation for compilation.
30 #
31 # If configure succeeds, it leaves its status in config.status.
32 # If configure fails after disturbing the status quo,
33 # config.status is removed.
34 #
35
36 export PATH || (echo "OOPS, this isn't sh. Desperation time. I will feed myself to sh."; sh $0 $argv; kill $$)
37
38 #set -e
39
40 remove=rm
41 hard_link=ln
42 symbolic_link='ln -s'
43
44 #for Test
45 #remove="echo rm"
46 #hard_link="echo ln"
47 #symbolic_link="echo ln -s"
48
49 # clear some things potentially inherited from environment.
50
51 Makefile=Makefile
52 Makefile_in=Makefile.in
53 ansi=
54 arguments=$*
55 commontargets=
56 configdirs=
57 defaulttargets=
58 destdir=
59 fatal=
60 hostsubdir=
61 norecursion=
62 objdir=
63 objdiroption=
64 progname=
65 recurring=
66 removing=
67 srcdir=
68 srctrigger=
69 target=
70 targets=
71 targetsubdir=
72 verbose=
73
74 for arg in $*;
75 do
76 case ${arg} in
77 -ansi | +a*)
78 ansi=true
79 clib=clib
80 ;;
81 -destdir=* | +destdir=* | +destdi=* | +destd=* | +dest=* | +des=* | +de=* | +d=*)
82 destdir=`echo ${arg} | sed 's/[+-]d[a-z]*=//'`
83 ;;
84 -languages=* | +languages=* | +language=* | +languag=* \
85 | +langua=* | +langu=* | +lang=* | +lan=* | +la=* \
86 | +l=*)
87 languages="${languages} `echo ${arg} | sed 's/[+-]l[a-z]*=//'`"
88 ;;
89 -gas | +g*)
90 gas=yes
91 ;;
92 -help | +h*)
93 fatal=true
94 ;;
95 -nfp | +nf*)
96 nfp=yes
97 ;;
98 -norecursion | +no*)
99 norecursion=true
100 ;;
101 -objdir=* | +objdir=* | +objdi=* | +objd=* | +obj=* | +ob=* | +o=*)
102 objdiroption=${arg}
103 objdir=`echo ${arg} | sed 's/[+-]o[a-z]*=//'`
104 ;;
105 -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
106 recurring=true
107 ;;
108 -rm | +rm)
109 removing=${arg}
110 ;;
111 -site=* | +site=* | +sit=* | +si=*)
112 site=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
113 ;;
114 # -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=*)
115 # srcdir=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
116 # ;;
117 -subdirs | +su*)
118 subdirs=${arg}
119 ;;
120 -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=*)
121 if [ -n "${targets}" ] ; then
122 subdirs="+subdirs"
123 fi
124
125 newtargets="${targets} `echo ${arg} | sed 's/[+-]t[a-z]*=//'`"
126 targets="${newtargets}"
127 ;;
128 -tmpdir=* | +tmpdir=* | +tmpdi=* | +tmpd=* | +tmp=* | +tm=*)
129 tmpdiroption=${arg}
130 TMPDIR=`echo ${arg} | sed 's/[+-]t[a-z]*=//'`
131 ;;
132 -v | -verbose | +v*)
133 verbose=${arg}
134 ;;
135 -* | +*)
136 (echo ;
137 echo "Unrecognized option: \"${arg}\"". ;
138 echo) 1>&2
139 fatal=true
140 ;;
141 *)
142 if [ -n "${hosts}" ] ; then
143 subdirs="+subdirs"
144 fi
145
146 newhosts="${hosts} ${arg}"
147 hosts=${newhosts}
148 ;;
149 esac
150 done
151
152 if [ -n "${verbose}" ] ; then
153 echo $0 $*
154 fi
155
156 ## this is a little touchy and won't always work, but...
157 ##
158 ## if the argv[0] starts with a slash then it is an absolute name that can be
159 ## used as is.
160 ##
161 ## otherwise, if argv[0] has no slash in it, we can assume that it is on the
162 ## path. Since PATH might include "." we also add `pwd` to the end of PATH.
163 ##
164 ## otherwise we prepend `pwd` to $0 and hope that will give us an absolute
165 ## path.
166 ##
167
168 if (echo $0 | grep '^/' > /dev/null) ; then
169 progname=$0
170 else
171 if (echo $0 | grep '/' > /dev/null) ; then
172 progname=`pwd`/$0
173 else
174 progname=$0
175 PATH=$PATH:`pwd` ; export PATH
176 fi
177 fi
178
179 configsub=`echo ${progname} | sed 's/configure$/config.sub/'`
180
181 if ${configsub} none >/dev/null 2>&1 ; then
182 true
183 else
184 echo '***' cannot find config.sub.
185 echo 1
186 fi
187
188 # process host and target only if not removing.
189 if [ -z "${removing}" -a -z "${fatal}" ] ; then
190 # Complain if an arg is missing
191 if [ -z "${hosts}" ] ; then
192 (echo ;
193 echo "configure: No HOST specified." ;
194 echo) 1>&2
195 fatal=true
196 fi
197 fi
198
199 if [ -n "${fatal}" -o "${hosts}" = "help" ] ; then
200 (echo "Usage: configure HOST" ;
201 echo ;
202 echo "Options: [defaults in brackets]" ;
203 echo " +ansi configure w/ANSI library. [no ansi lib]" ;
204 echo " +destdir=MYDIR configure for installation into MYDIR. [\"/usr/local\"]" ;
205 echo " +gas configure the compilers for use with gas. [native as]" ;
206 echo " +help print this message. [normal config]" ;
207 echo " +lang=LANG configure to build LANG. [gcc]" ;
208 echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
209 echo " +norecursion configure this directory only. [recurse]" ;
210 echo " +objdir=ODIR configure in a parallel tree rooted in ODIR. [rooted in \".\"]" ;
211 echo " +rm remove this configuration. [build a configuration]" ;
212 echo " +site configure with site specific makefile" ;
213 # This is correctly aligned in the output, even though it isn't here.
214 echo " +subdirs configure in subdirectories. [in source directories]" ;
215 echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
216 echo " +tmpdir=TMPDIR create temporary files in TMPDIR. [ TMPDIR = \"/tmp\" ]" ;
217 echo ;
218 echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
219 echo "Asking for more than one \"+target\" implies \"+subdirs\". Any other" ;
220 echo "options given will apply to all targets.") 1>&2
221
222 if [ -r config.status ] ; then
223 cat config.status
224 fi
225
226 exit 1
227 fi
228
229 ### break up configure.in.
230 if [ -r configure.in ] ; then
231 if [ -z "`grep '^# per\-host:' configure.in`" ] ; then
232 echo '***' `pwd`/configure.in has no "per-host:" line. 1>&2
233 exit 1
234 fi
235
236 if [ -z "`grep '^# per\-target:' configure.in`" ] ; then
237 echo '***' `pwd`/configure.in has no "per-target:" line. 1>&2
238 exit 1
239 fi
240
241 if [ -z "${TMPDIR}" ] ; then
242 TMPDIR=/tmp ; export TMPDIR
243 fi
244
245 # keep this filename short for &%*%$*# 14 char file names
246 tmpfile=${TMPDIR}/cONf$$
247
248 # split configure.in into common, per-host, per-target,
249 # and post-target parts. Post-target is optional.
250 sed -e '/^# per\-host:/,$d' configure.in > ${tmpfile}.com
251 sed -e '1,/^# per\-host:/d' -e '/^# per\-target:/,$d' configure.in > ${tmpfile}.hst
252 if grep '^# post-target:' configure.in >/dev/null ; then
253 sed -e '1,/^# per\-target:/d' -e '/^# post\-target:/,$d' configure.in > ${tmpfile}.tgt
254 sed -e '1,/^# post\-target:/d' configure.in > ${tmpfile}.pos
255 else
256 sed -e '1,/^# per\-target:/d' configure.in > ${tmpfile}.tgt
257 echo >${tmpfile}.pos
258 fi
259
260 else
261 echo '***' No configure.in in `pwd`
262 exit 1
263 fi
264
265 ### do common part of configure.in
266
267 . ${tmpfile}.com
268
269 # some sanity checks on configure.in
270 if [ -z "${srctrigger}" ] ; then
271 echo '***' srctrigger not set in `pwd`/configure.in.
272 exit 1
273 fi
274
275 for host in ${hosts} ; do
276 # Default other arg
277 if [ -z "${targets}" -o -n "${defaulttargets}" ] ; then
278 targets=${host}
279 defaulttargets=true
280 fi
281
282 host_alias=${host}
283
284 result=`${configsub} ${host}`
285 host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
286 host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
287 host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
288 host=${host_cpu}-${host_vendor}-${host_os}
289 host_makefile_frag=config/mh-${host}
290 if [ ! -f ${host_makefile_frag} ]
291 then
292 host_makefile_frag=config/mh-${host_alias}
293 fi
294
295 . ${tmpfile}.hst
296
297 for target in ${targets} ; do
298
299 target_alias=${target}
300 result=`${configsub} ${target}`
301 target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
302 target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
303 target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
304 target=${target_cpu}-${target_vendor}-${target_os}
305 target_makefile_frag=config/mt-${target}
306 if [ ! -f ${target_makefile_frag} ]
307 then
308 target_makefile_frag=config/mt-${target_alias}
309 fi
310
311 . ${tmpfile}.tgt
312
313 # Temporarily, we support only direct subdir builds.
314 hostsubdir=H-${host_alias}
315 targetsubdir=T-${target_alias}
316
317 if [ -n "${removing}" ] ; then
318 if [ -n "${objdir}" ] ; then
319 echo '***' +rm not supported for +objdir. Just \"rm -rf ${objdir}\" by hand.
320 exit 1
321 fi
322
323 if [ -n "${subdirs}" ] ; then
324 if [ -d "${hostsubdir}" ] ; then
325 rm -rf ${hostsubdir}/${targetsubdir}
326
327 if [ -z "`(ls ${hostsubdir}) 2>&1 | grep T- | grep -v T-independent`" ] ; then
328 rm -rf ${hostsubdir}
329 fi
330 else
331 echo Warning: no `pwd`/${hostsubdir} to remove.
332 fi
333 else
334 rm -f ${Makefile} config.status ${links}
335 fi
336 else
337 if [ -n "${objdir}" ]; then
338 srcdir=`pwd`
339 cd ${objdir}
340 fi
341
342 if [ -n "${subdirs}" ] ; then
343 # check for existing status before allowing forced subdirs.
344 if [ -f ${Makefile} ] ; then
345 echo '***' "${Makefile} already exists in source directory. `pwd` not configured." 1>&2
346 exit 1
347 fi
348
349 if [ ! -d ${hostsubdir} ] ; then mkdir ${hostsubdir} ; fi
350 cd ${hostsubdir}
351
352 if [ ! -d ${targetsubdir} ] ; then
353 if [ -z "${commontargets}" ] ; then
354 mkdir ${targetsubdir}
355 else
356 if [ ! -d T-independent ] ; then
357 mkdir T-independent
358 fi
359
360 ${symbolic_link} T-independent ${targetsubdir}
361 fi # if target independent
362 fi # if no target dir yet
363
364 cd ${targetsubdir}
365
366 if [ -z "${srcdir}" ] ; then
367 srcdir=../..
368 fi
369 else
370 # if not subdir builds, then make sure none exist.
371 if [ -n "`(ls .) 2>&1 | (grep H- ; true)`" ] ; then
372 echo '***' "Configured subdirs exist. `pwd` not configured." 1>&2
373 exit 1
374 else
375 true
376 fi
377 fi
378
379 # Find the source files, if location was not specified.
380 if [ -z "${srcdir}" ] ; then
381 srcdirdefaulted=1
382 srcdir=.
383 if [ -n "${srctrigger}" -a ! -r ${srctrigger} ] ; then
384 srcdir=..
385 fi
386 fi
387
388 if [ -n "${srctrigger}" -a ! -r ${srcdir}/${srctrigger} ] ; then
389 if [ -z "${srcdirdefaulted}" ] ; then
390 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
391 else
392 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
393 fi
394
395 echo '***' \(At least ${srctrigger} is missing.\) 1>&2
396 exit 1
397 fi
398
399 # Set up the list of links to be made.
400 # ${links} is the list of link names, and ${files} is the list of names to link to.
401
402 # Make the links.
403 while [ -n "${files}" ] ; do
404 # set file to car of files, files to cdr of files
405 set ${files}; file=$1; shift; files=$*
406 set ${links}; link=$1; shift; links=$*
407
408 if [ ! -r ${srcdir}/${file} ] ; then
409 echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
410 echo '***' "since the file \"${file}\" does not exist." 1>&2
411 exit 1
412 fi
413
414 ${remove} -f ${link}
415 rm -f config.status
416 # Make a symlink if possible, otherwise try a hard link
417 ${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
418
419 if [ ! -r ${link} ] ; then
420 echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
421 exit 1
422 fi
423
424 if [ -n "${verbose}" ] ; then
425 echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
426 fi
427 done
428
429 # Create a .gdbinit file which runs the one in srcdir
430 # and tells GDB to look there for source files.
431
432 case ${srcdir} in
433 .)
434 ;;
435 *)
436 echo "dir ." > .gdbinit
437 echo "dir ${srcdir}" >> .gdbinit
438 echo "source ${srcdir}/.gdbinit" >> .gdbinit
439 ;;
440 esac
441
442 # Install a makefile, and make it set VPATH
443 # if necessary so that the sources are found.
444 # Also change its value of srcdir.
445
446 # FIXME-someday: This business of always writing to .tem and mv back
447 # is so that I don't screw things up while developing. Once this
448 # template is stable, these should be optimized. xoxorich.
449
450 # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
451 if [ "${host}" != "${target}" ] ; then
452 echo "CROSS=-DCROSS_COMPILE" > ${Makefile}
453 echo "ALL=start.encap" >> ${Makefile}
454 else
455 echo "ALL=all.internal" > ${Makefile}
456 fi
457
458 # set target, host, VPATH
459 echo "host_alias = ${host_alias}" >> ${Makefile}
460 echo "host_cpu = ${host_cpu}" >> ${Makefile}
461 echo "host_vendor = ${host_vendor}" >> ${Makefile}
462 echo "host_os = ${host_os}" >> ${Makefile}
463
464 echo "target_alias = ${target_alias}" >> ${Makefile}
465 echo "target_cpu = ${target_cpu}" >> ${Makefile}
466 echo "target_vendor = ${target_vendor}" >> ${Makefile}
467 echo "target_os = ${target_os}" >> ${Makefile}
468
469 if [ -n "${subdirs}" ] ; then
470 (echo "subdir = /${hostsubdir}/${targetsubdir}" ;
471 echo "unsubdir = ../..") >> ${Makefile}
472 else
473 (echo "subdir =" ;
474 echo "unsubdir = .") >> ${Makefile}
475 fi
476
477 # echo "workdir = `pwd`" >> ${Makefile}
478 echo "VPATH = ${srcdir}" >> ${Makefile}
479
480 # add "Makefile.in" (or whatever it's called)
481 cat ${srcdir}/${Makefile_in} >> ${Makefile}
482
483 # Conditionalize the makefile for this host.
484 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
485 (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
486 sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
487 else
488 (echo "host_makefile_frag =" ;
489 cat ${Makefile}) > Makefile.tem
490 fi
491 mv Makefile.tem ${Makefile}
492
493 # Conditionalize the makefile for this target.
494 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
495 (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
496 sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
497 else
498 (echo "target_makefile_frag =" ;
499 cat ${Makefile}) > Makefile.tem
500 fi
501 mv Makefile.tem ${Makefile}
502
503 # Conditionalize the makefile for this site.
504 if [ -n "${site}" ] ; then
505 site_makefile_frag=config/ms-${site}
506
507 if [ -f ${srcdir}/${site_makefile_frag} ] ; then
508 (echo "site_makefile_frag = ${srcdir}/${site_makefile_frag}" ;
509 sed -e "/^####/ r ${srcdir}/${site_makefile_frag}" ${Makefile}) > Makefile.tem
510 else
511 (echo "site_makefile_frag =" ;
512 cat ${Makefile}) > Makefile.tem
513 fi
514 mv Makefile.tem ${Makefile}
515 fi
516
517 # set srcdir
518 sed "s@^srcdir = \.@srcdir = ${srcdir}@" ${Makefile} > Makefile.tem
519 mv Makefile.tem ${Makefile}
520
521 # set destdir
522 if [ -n "${destdir}" ] ; then
523 sed "s:^destdir =.*$:destdir = ${destdir}:" ${Makefile} > Makefile.tem
524 mv Makefile.tem ${Makefile}
525 fi
526
527 # reset SUBDIRS
528 sed "s:^SUBDIRS =.*$:SUBDIRS = ${configdirs}:" ${Makefile} > Makefile.tem
529 mv Makefile.tem ${Makefile}
530
531 # reset NONSUBDIRS
532 sed "s:^NONSUBDIRS =.*$:NONSUBDIRS = ${noconfigdirs}:" ${Makefile} > Makefile.tem
533 mv Makefile.tem ${Makefile}
534
535 # remove any form feeds.
536 sed -e "s/\f//" ${Makefile} > Makefile.tem
537 mv Makefile.tem ${Makefile}
538
539 using=
540 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
541 using="${using} and \"${host_makefile_frag}\""
542 fi
543 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
544 using="${using} and \"${target_makefile_frag}\""
545 fi
546 if [ -n "${site}" -a \
547 -f ${srcdir}/${site_makefile_frag} ] ; then
548 using="${using} and \"${site_makefile_frag}\""
549 fi
550 using=`echo "${using}" | sed 's/and/using/'`
551 using="Created \"${Makefile}\" in `pwd`${using}."
552
553 if [ -n "${verbose}" -o -z "${recurring}" ] ; then
554 echo ${using}
555 fi
556
557 . ${tmpfile}.pos
558
559 # describe the chosen configuration in config.status.
560 # Make that file a shellscript which will reestablish
561 # the same configuration. Used in Makefiles to rebuild
562 # Makefiles.
563
564 echo "#!/bin/sh
565 # `pwd` was configured as follows:
566 (cd ${srcdir} ; ${progname}" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` ")
567 # ${using}" > config.status
568 chmod a+x config.status
569
570 originaldir=`pwd`
571 cd ${srcdir}
572 fi
573
574 # If there are subdirectories, then recurse.
575 if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
576 for configdir in ${configdirs} ; do
577 if [ -n "${verbose}" ] ; then
578 echo Configuring ${configdir}...
579 fi
580
581 if [ -d ${configdir} ] ; then
582 if [ -n "${objdir}" ] ; then
583 if [ ! -d ${objdir}/${configdir} ] ; then
584 mkdir ${objdir}/${configdir}
585 fi
586 fi
587
588 POPDIR=`pwd`
589 cd ${configdir}
590
591 if (${progname} +recurring ${host_alias} +target=${target_alias} \
592 ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
593 `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
594 ${tmpdiroption}) ; then
595 true
596 else
597 exit 1
598 fi
599
600 cd ${POPDIR}
601
602 # (cd ${configdir} ;
603 # if (${progname} +recurring ${host_alias} +target=${target_alias} \
604 # ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
605 # `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
606 # ${tmpdiroption}) ; then true ; else exit 1 ; fi) \
607 # | sed 's/^/ /'
608 else
609 if [ -n "${verbose}" ] ; then
610 echo Warning: directory \"${configdir}\" is missing.
611 fi
612 fi
613 done
614 fi
615 done # for each target
616
617 # Now build a Makefile for this host.
618 if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
619 push=`pwd`
620
621 if [ -n "${objdir}" ] ; then
622 cd ${objdir}
623 fi
624
625 cd ${hostsubdir}
626 cat > GNUmakefile << 'E!O!F'
627 # Makefile generated by configure for host ${host_alias}.
628
629 ALL := $(shell ls -d T-*)
630
631 %:
632 $(foreach subdir,$(ALL),$(MAKE) -C $(subdir) \$@ &&) true
633
634 all:
635 E!O!F
636 cd ${push}
637 fi
638 done # for each host
639
640 ### clean up.
641
642 rm -f ${tmpfile}.com ${tmpfile}.tgt ${tmpfile}.hst ${tmpfile}.pos
643
644 exit 0
645
646 #
647 #
648 # $Log$
649 # Revision 1.63 1991/10/25 02:07:18 steve
650 # More name changing
651 #
652 # Revision 1.62 1991/10/24 11:59:03 rich
653 # add null definitions for makefile_frag_foo
654 #
655 # Revision 1.61 1991/10/24 00:23:59 hgs
656 # Allow for using tmake-sun4
657 #
658 # Revision 1.60 1991/10/23 21:48:28 rich
659 # Makefiles should include the makefile frag names even if the makefile
660 # frag doesn't exist in *this* directory. Otherwise we inherit the
661 # variable setting from our parent Makefile.
662 #
663 # Revision 1.59 1991/10/16 19:53:31 gnu
664 # Update for SCO problems.
665 #
666 # * Fix "Larry Wall kludge" line so it works. If this script is run by csh,
667 # it will complain, feed itself to sh, and complain some more. But will work.
668 #
669 # * Use <14 char file names in /tmp.
670 #
671 # Revision 1.58 1991/10/16 06:12:52 rich
672 # Two small bugs. First, single quoted sed line doesn't need to quote
673 # '$'. Second, use quotes around the hereis document trigger in order
674 # to quote the entire contents of the hereis document.
675 #
676 # Revision 1.57 1991/10/11 05:31:05 gnu
677 # Simplify "Using" message code. Put the message that configure prints
678 # (or suppresses) into the config.status file as a comment.
679 #
680 # Revision 1.56 1991/10/10 05:01:47 rich
681 # Remove the set -e but protect the recusion call.
682 #
683 # Revision 1.55 1991/10/10 04:57:23 rich
684 # * Die when sub-configure's do.
685 # * get the makefile building message line correct.
686 # * set -e
687 #
688 # Revision 1.54 1991/10/10 01:04:42 rich
689 # Backed out the "/bin/sh config.sub" change. Fails when config.sub was
690 # on PATH.
691 #
692 # Revision 1.53 1991/10/10 00:38:08 rich
693 # Call config.sub as "/bin/sh config.sub" instead of directly. This
694 # protects us from the case where config.sub isn't executable.
695 #
696 # Revision 1.52 1991/10/09 00:48:26 rich
697 # Another patch from jim.
698 #
699 # Revision 1.51 1991/10/08 06:07:58 wilson
700 # Fix bug in smake- file code.
701 #
702 # Revision 1.50 1991/10/04 23:49:37 rich
703 # Per's patch for my config.sub botch.
704 #
705 # Revision 1.49 1991/10/04 22:52:09 rich
706 # Use john's heuristic for finding ourselves. kinda like hare krishna.
707 #
708 # Revision 1.48 1991/10/02 13:17:28 rich
709 # take out the set -e for now
710 #
711 # Revision 1.47 1991/10/02 10:02:23 rich
712 # * temporary files in TMPDIR
713 # * +objdir
714 #
715 # Revision 1.46 1991/10/02 06:29:53 rich
716 # Added +site=foo option for naming site specific Makefile fragments.
717 #
718 # Revision 1.45 1991/10/02 06:15:13 rich
719 # Removed +f option. Used to stand for +forcesubdirs which is now
720 # called +subdirs.
721 #
722 # Revision 1.44 1991/10/02 06:02:35 rich
723 # Added rcs log line.
724 #
725 #
726 #
727
728 #
729 # Local Variables:
730 # fill-column: 131
731 # End:
732 #
733
734 # end of configure
This page took 0.05754 seconds and 5 git commands to generate.